#include<bits/stdc++.h>
using namespace std;
string s;
int n,res,x,y,j,br1,br2;
int main(){
    cin>>s;
    n=s.size();
    n--;
    j=n;
    x=0;
    y=0;
    br1=0;
    br2=0;
    for(int i=0;i<=n/2;i++){
        if(s[i]=='b' and x==0){
            x=i;
        }
        else{
            br1++;
        }
        if(s[j]=='b' and y==0){
            y=j;
        }
        else{
            br2++;
        }
        j--;
    }
    if(br1==br2){
        res=0;
    }
    else if(x<n-y){
        res=y-(x-1);
    }
    else{
        res=x-(y-1);
    }
    cout<<res<<endl;
    return 0;
}